# Recognize terminal size
%bcond_without perl_Term_Table_enables_terminal
# Respect Unicode rules when breaking lines
%bcond_without perl_Term_Table_enables_unicode
%define module Term::Table

Name:           perl-Term-Table
Version:        0.016
Release:        3%{?org_tag}%{?dist}
Summary:        Format a header and rows into a table
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Term-Table/
Source0:        http://localhost/cpan/authors/id/E/EX/EXODIST/Term-Table-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Importer) >= 0.024
BuildRequires:  perl(List::Util)
#BuildRequires:  perl(Object::HashBase) >= 0.008
BuildRequires:  perl(Scalar::Util)
# Optional run-time:
%if %{with perl_Term_Table_enables_terminal}
# Term::ReadKey 2.32 not used if Term::Size::Any is available
# Prefer Term::Size::Any over Term::ReadKey
BuildRequires:  perl(Term::Size::Any) >= 0.002
%endif
%if %{with perl_Term_Table_enables_unicode}
BuildRequires:  perl(Unicode::GCString) >= 2013.10
BuildRequires:  perl(Unicode::LineBreak) >= 2015.06
%endif
# Tests:
BuildRequires:  perl(base)
BuildRequires:  perl(Test2::API)
BuildRequires:  perl(Test2::Tools::Tiny) >= 1.302097
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
Requires:       perl(Carp)
Requires:       perl(List::Util)
Requires:       perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Importer) >= 0.024
%if %{with perl_Term_Table_enables_terminal}
Suggests:       perl(Term::ReadKey) >= 2.32
# Prefer Term::Size::Any over Term::ReadKey
Recommends:     perl(Term::Size::Any) >= 0.002
%endif
%if %{with perl_Term_Table_enables_unicode}
Recommends:     perl(Unicode::GCString) >= 2013.10
Recommends:       perl(Unicode::LineBreak) >= 2015.06
%endif


# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Importer\\)$


%description
This is used by some failing tests to provide diagnostics about what has
gone wrong. This module is able to generic format rows of data into tables.

%prep
%setup -q -n Term-Table-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# FIXME: this test isn't working inside mock
rm -f t/honor_env_in_non_tty.t
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc appveyor.yml Changes cpanfile LICENSE META.json README README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jan 27 2025 Jean-Philippe Pialasse <jpp@koozali.org> 0.016-3.sme
- import to SME11

* Mon Feb 14 2022 Gavin Carr <gavin@openfusion.net> 0.016-1
- Update to version 0.016.

* Wed Aug 04 2021 Gavin Carr <gavin@openfusion.com.au> 0.015-1
- Update to version 0.015.

* Wed May 31 2017 Gavin Carr <gavin@openfusion.com.au> 0.008-1
- Specfile autogenerated by cpanspec 1.79.
